Bug 183033 - databases/py-swift: update to 1.9.1
Summary: databases/py-swift: update to 1.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikolaj Golub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-16 21:00 UTC by Mikolaj Golub
Modified: 2013-10-26 14:38 UTC (History)
0 users

See Also:


Attachments
file.diff (6.17 KB, patch)
2013-10-16 21:00 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2013-10-16 21:00:00 UTC
Please update databases/py-swift to the latest available version -- 1.9.1.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-16 21:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-16 21:00:10 UTC
Maintainer of databases/py-swift,

Please note that PR ports/183033 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183033

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-10-16 21:00:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 gslin 2013-10-22 10:47:19 UTC
Thanks, please commit it.

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-10-24 02:49:43 UTC
State Changed
From-To: feedback->open


maintainer approved.
Comment 6 Mikolaj Golub freebsd_committer 2013-10-24 19:09:56 UTC
Responsible Changed
From-To: freebsd-python->trociny
Comment 7 dfilter service freebsd_committer 2013-10-26 14:22:58 UTC
Author: trociny
Date: Sat Oct 26 13:22:50 2013
New Revision: 331684
URL: http://svnweb.freebsd.org/changeset/ports/331684

Log:
  Update to 1.9.1.
  
  PR:		ports/183033
  Approved by:	bdrewery (mentor)

Modified:
  head/databases/py-swift/Makefile
  head/databases/py-swift/distinfo
  head/databases/py-swift/pkg-plist

Modified: head/databases/py-swift/Makefile
==============================================================================
--- head/databases/py-swift/Makefile	Sat Oct 26 13:05:42 2013	(r331683)
+++ head/databases/py-swift/Makefile	Sat Oct 26 13:22:50 2013	(r331684)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	swift
-PORTVERSION=	1.9.0
+PORTVERSION=	1.9.1
 CATEGORIES=	databases python
-MASTER_SITES=	http://launchpadlibrarian.net/143982818/
+MASTER_SITES=	http://launchpadlibrarian.net/147458777/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	gslin@gslin.org
@@ -13,7 +13,6 @@ COMMENT=	Highly available, distributed, 
 LICENSE=	AL2
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}PasteDeploy>0:${PORTSDIR}/www/py-pastedeploy \
-		${PYTHON_PKGNAMEPREFIX}d2to1>=0.2.10:${PORTSDIR}/devel/py-d2to1 \
 		${PYTHON_PKGNAMEPREFIX}dnspython>=1.10.0:${PORTSDIR}/dns/py-dnspython \
 		${PYTHON_PKGNAMEPREFIX}eventlet>=0.9.8:${PORTSDIR}/net/py-eventlet \
 		${PYTHON_PKGNAMEPREFIX}netifaces>=0:${PORTSDIR}/net/py-netifaces \

Modified: head/databases/py-swift/distinfo
==============================================================================
--- head/databases/py-swift/distinfo	Sat Oct 26 13:05:42 2013	(r331683)
+++ head/databases/py-swift/distinfo	Sat Oct 26 13:22:50 2013	(r331684)
@@ -1,2 +1,2 @@
-SHA256 (swift-1.9.0.tar.gz) = 12f86404bde15192415badd60ed7528a47967b66c29ba7f671fe5189290c7b64
-SIZE (swift-1.9.0.tar.gz) = 617393
+SHA256 (swift-1.9.1.tar.gz) = d95a8a158cc0dce4780ab462efca13b63be2485ee93a9dc70788b3372f264537
+SIZE (swift-1.9.1.tar.gz) = 631902

Modified: head/databases/py-swift/pkg-plist
==============================================================================
--- head/databases/py-swift/pkg-plist	Sat Oct 26 13:05:42 2013	(r331683)
+++ head/databases/py-swift/pkg-plist	Sat Oct 26 13:22:50 2013	(r331684)
@@ -164,6 +164,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/tempurl.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/tempurl.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/tempurl.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/request_helpers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/request_helpers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/request_helpers.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/ring/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/ring/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/ring/__init__.pyo
@@ -209,9 +212,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/auditor.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/auditor.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/auditor.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/base.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/base.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/base.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/diskfile.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/diskfile.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/diskfile.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/expirer.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/expirer.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/expirer.pyo
@@ -275,15 +278,12 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/common.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/common.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/common.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_failures.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_failures.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_failures.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_container_failures.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_container_failures.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_container_failures.pyo
@@ -299,6 +299,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_object_handoff.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_object_handoff.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_object_handoff.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/__init__.pyo
@@ -467,9 +470,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_auditor.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_auditor.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_auditor.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_base.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_base.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_base.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_diskfile.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_diskfile.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_diskfile.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_expirer.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_expirer.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_expirer.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Mikolaj Golub freebsd_committer 2013-10-26 14:38:10 UTC
State Changed
From-To: open->closed

Committed.